player_actarray_accel_config Struct Reference

Request/reply: Acceleration. More...

`#include <player_interfaces.h>`

## Public Attributes

int32_t | joint
| Joint to set acceleration for. More...
float | accel
| Acceleration setting in m/s^2 or rad/s^2. More...

## Detailed Description

Request/reply: Acceleration.

Send a PLAYER_ACTARRAY_REQ_ACCEL request to set the acceleration of a joint for all subsequent movements. Null response.

## Member Data Documentation

float player_actarray_accel_config::accel

Acceleration setting in m/s^2 or rad/s^2.

int32_t player_actarray_accel_config::joint

Joint to set acceleration for.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45